import enum


__all__ = ["Frequency", "Voltage", "Current", "CurveState"]


class Frequency(enum.IntEnum):
    FREQUENCY_10HZ = 0
    FREQUENCY_100HZ = 1
    FREQUENCY_1KHZ = 2
    FREQUENCY_10KHZ = 3


class Voltage(enum.IntEnum):
    VOLTAGE_3_3V = 0
    VOLTAGE_5V = 1
    VOLTAGE_12V = 2


class Current(enum.IntEnum):
    CURRENT_250UA = 0
    CURRENT_2_5MA = 1
    CURRENT_25MA = 2


class CurveState(enum.IntEnum):
    NORMAL = 0
    FROZEN = 1
